#ifdef NDEBUG
#define assert(ignore) ((void)0)  /* if NDEBUG defined then assert does nothing */
#else
#include <stdio.h>
#define assert(expression) \
   (!(expression) ? \
      fprintf(stderr,"assertion failed in file %s at line %d.\n",\
		      __FILE__, __LINE__), abort(), 0 : 0)
#endif
