#ifdef __HIGHC__

#ifndef _TIME_T_DEFINED
#define _TIME_T_DEFINED
typedef long time_t;
#endif

#ifndef _INO_T_DEFINED
#define _INO_T_DEFINED
typedef unsigned short ino_t;
#endif

#ifndef _DEV_T_DEFINED
#define _DEV_T_DEFINED
typedef short dev_t;
#endif

#ifndef _OFF_T_DEFINED
#define _OFF_T_DEFINED
typedef long off_t;
#endif

#ifndef _STAT_DEFINED
#define _STAT_DEFINED
struct stat {
dev_t st_dev;
ino_t st_ino;
unsigned short st_mode;
short st_nlink;
short st_uid;
short st_gid;
dev_t st_rdev;
off_t st_size;
time_t st_atime;
time_t st_mtime;
time_t st_ctime;
};
#endif


#define S_IFMT 61440
#define S_IFDIR 16384
#define S_IFCHR 8192
#define S_IFREG 32768
#define S_IREAD 256
#define S_IWRITE 128
#define S_IEXEC 64

extern stat(char *, struct stat *);

#endif
