
/* These defines determine the meaning of the fFlags variable.  The low byte
 * is used for the various types of "boxes" to draw.  The high byte is
 * available for special commands.
 */

#define SL_BOX    1             /* Draw a solid border around the rectangle  */
#define SL_BLOCK  2             /* Draw a solid rectangle                    */

#define SL_EXTEND 256           /* Extend the current pattern                */

#define SL_TYPE    0x00FF       /* Mask out everything but the type flags    */
#define SL_SPECIAL 0xFF00       /* Mask out everything but the special flags */

#ifdef  COMPILING_DLL
#  define DLL_EXP  _CC((_WINDOWS | _CALLEE_POPS_STACK | _FAR_CALL | _SAVE_REGS) & ~_REVERSE_PARMS)
#else
#  define DLL_EXP FAR PASCAL
#endif

extern int DLL_EXP StartSelection(HWND, POINT, LPRECT, int);
extern int DLL_EXP UpdateSelection(HWND, POINT, LPRECT, int);
extern int DLL_EXP EndSelection(POINT, LPRECT);
extern int DLL_EXP ClearSelection(HWND, LPRECT, int);
